package com.schbrain.archetype.initializer.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liaozan
 * @since 2022/3/20
 */
@Data
public class ArchetypeGenerateParam {

    /**
     * groupId
     */
    @NotBlank
    private String groupId;
    /**
     * artifactId
     */
    @NotBlank
    private String artifactId;
    /**
     * 子模块前缀
     */
    private String subModuleNamePrefix;

}